Bug 1624704 - CVE-2018-12384 nss: ServerHello.random is all zeros when handling a v2-compatible ClientHello [fedora-all]
Summary: CVE-2018-12384 nss: ServerHello.random is all zeros when handling a v2-compat...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-12384
TreeView+ depends on / blocked
 
Reported: 2018-09-03 06:25 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-09-21 05:27 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-14 23:12:16 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2018-09-03 06:25:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Huzaifa S. Sidhpurwala 2018-09-03 06:26:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1622089,1624704

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-09-04 11:09:54 UTC
nss-3.39.0-1.0.fc28 nss-softokn-3.39.0-1.0.fc28 nss-util-3.39.0-1.0.fc28 nspr-4.20.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a7a5c54c2

Comment 3 Fedora Update System 2018-09-04 11:10:12 UTC
nss-3.39.0-2.fc29 nss-softokn-3.39.0-2.fc29 nss-util-3.39.0-2.fc29 nspr-4.20.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c72d2d89ec

Comment 4 Fedora Update System 2018-09-04 11:10:29 UTC
nss-3.39.0-1.0.fc27 nss-softokn-3.39.0-1.0.fc27 nss-util-3.39.0-1.0.fc27 nspr-4.20.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4a21a8ca59

Comment 5 Fedora Update System 2018-09-05 21:26:22 UTC
nspr-4.20.0-1.fc29, nss-3.39.0-2.fc29, nss-softokn-3.39.0-2.fc29, nss-util-3.39.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c72d2d89ec

Comment 6 Fedora Update System 2018-09-06 02:11:45 UTC
nspr-4.20.0-1.fc27, nss-3.39.0-1.0.fc27, nss-softokn-3.39.0-1.0.fc27, nss-util-3.39.0-1.0.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4a21a8ca59

Comment 7 Fedora Update System 2018-09-07 00:05:46 UTC
nspr-4.20.0-1.fc28, nss-3.39.0-1.0.fc28, nss-softokn-3.39.0-1.0.fc28, nss-util-3.39.0-1.0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a7a5c54c2

Comment 8 Fedora Update System 2018-09-07 00:06:23 UTC
nspr-4.20.0-1.fc28, nss-3.39.0-1.0.fc28, nss-softokn-3.39.0-1.0.fc28, nss-util-3.39.0-1.0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a7a5c54c2

Comment 9 Fedora Update System 2018-09-14 23:12:16 UTC
nspr-4.20.0-1.fc28, nss-3.39.0-1.0.fc28, nss-softokn-3.39.0-1.0.fc28, nss-util-3.39.0-1.0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-09-18 07:52:18 UTC
nspr-4.20.0-1.fc27, nss-3.39.0-1.0.fc27, nss-softokn-3.39.0-1.0.fc27, nss-util-3.39.0-1.0.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-09-21 05:27:13 UTC
nspr-4.20.0-1.fc29, nss-3.39.0-2.fc29, nss-softokn-3.39.0-2.fc29, nss-util-3.39.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.